Create a local user
POST
/api/v1/users
const url = 'https://example.com/api/v1/users';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"disabled":true,"email":"example","name":"example","password":"example","roles":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/users \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "disabled": true, "email": "example", "name": "example", "password": "example", "roles": [ "example" ] }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
disabled
boolean
email
required
string
name
required
string
password
string
roles
Array<string>
Examplegenerated
{ "disabled": true, "email": "example", "name": "example", "password": "example", "roles": [ "example" ]}Responses
Section titled “Responses”Created
Media typeapplication/json
object
createdAt
required
string format: date-time
disabled
boolean
email
required
string
id
required
string
lastSeenAt
string format: date-time
local
boolean
name
required
string
roles
Array<string>
subject
string
tenantId
string
updatedAt
required
string format: date-time
version
required
integer
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "disabled": true, "email": "example", "id": "example", "lastSeenAt": "2026-04-15T12:00:00Z", "local": true, "name": "example", "roles": [ "example" ], "subject": "example", "tenantId": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1}default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}